
Ruby - Bug #771

test/unit wrapper breaks compatibility

11/21/2008 09:33 AM - bitsweat (Jeremy Daer)

Status: Closed   

Priority: Normal   

Assignee: akr (Akira Tanaka)   

Target version: 1.9.1 Release Candidate   

ruby -v:  Backport:  

Description

=begin

The test/unit wrapper breaks libraries that add behavior to Test::Unit::TestCase.

You can't require 'test/unit/testcase' because it doesn't exist. But you can't require 'test/unit' because it autoruns tests.

The patch brings back test/unit/testcase.rb and test/unit/assertions.rb to restore compatibility.

=end

History

#1 - 11/29/2008 04:41 PM - ko1 (Koichi Sasada)

- Assignee set to yugui (Yuki Sonoda)

=begin

=end

#2 - 12/11/2008 10:35 AM - bitsweat (Jeremy Daer)

=begin

With this change, Rails tests are 1.9 compatible!

=end

#3 - 12/11/2008 11:06 AM - yugui (Yuki Sonoda)

- Assignee changed from yugui (Yuki Sonoda) to akr (Akira Tanaka)

- Priority changed from Normal to 5

=begin

=end

#4 - 12/11/2008 07:47 PM - akr (Akira Tanaka)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

Applied in changeset r20632.

=end

Files

testcase_compatibility.patch 10.9 KB 11/21/2008 bitsweat (Jeremy Daer)
